/*
Theme Name:         DFD Ronneby Child
Theme URI:          http://rnbtheme.com/
Description:        Ronneby - Highly Functional Multifaceted WP Theme
Author:             DFD
Author URI:         http://dfd.name/
Tags:               light, white, one-column, two-columns, three-columns, right-sidebar, flexible-width, custom-background, custom-header, custom-menu, featured-images, microformats, post-formats, rtl-language-support, sticky-post, theme-options, translation-ready
Text Domain:		dfd
License:            GPL v2
License URI:        http://www.gnu.org/licenses/gpl-2.0.html
Template: dfd-ronneby
Version: 7.6.2
*/

.dnm-modal {
	transition: 0.5s all;
	right: -100%;
	position: fixed;
    bottom: 0;
    z-index: 2;
    width: 100%;
    max-width: 600px;
}
.dnm-modal.open {
	
    right: 0;
}
.dnm-modal .open-modal {
	background: #25252b;
	position: relative;
}
.dnm-modal .dfd-modal-box-shortcode {
	padding: 45px  35px 12px 45px !important;
	border: 6px solid #b4996d;
	background: #25252b !important;
}
.dnm-modal .cols {
	display: -webkit-box;
	display: -webkit-flex;
	display: flex;
	
}
.dnm-modal .imgwrap {
    background: #b4996d;
    width: 93px;
    height: 93px;
    border-radius: 50%;
    text-align: center;
    padding-top: 14px;

}
.dnm-modal .col-img {
	padding-top: 12px;
}
.dnm-modal .imgwrap img {
	width: 57px;
	height: 56px;
}
.dnm-modal .col-text {
	padding-left: 45px;
	color: #FFF;
}
.dnm-modal h3 {
	font-size: 24px;
	color: #FFF;
}
.dnm-modal p {
	color: #FFF;
}

.dnm-modal .col-text a {
	color: #b4996d;
}
.dfd-modal-box-overlay .dfd-modal-box-cover.dnm-modal .dfd-modal-box-wrap .close-block {
	
}
.dnm-modal .close-block {
    font-size: 20px;
    position: absolute;
    top: 0;
    left: 100%;
    width: 20px;
    height: 20px;
    text-align: center;
    color: #fff;
    z-index: 9999;
    padding-left: 20px;
    cursor: pointer;
    background: url(assets/img/cursor-side-area.png) no-repeat center center;
    -webkit-transition: color .3s ease;
    -moz-transition: color .3s ease;
    transition: color .3s ease;
	top: 16px;
	margin-left: -36px;
}

@media all and (max-width: 768px){
	.dnm-modal .col-img {
		display: none;
	}
	.dnm-modal .col-text p {
		font-size: 14px;
		margin-bottom: 10px;
	}
	.dnm-modal .dfd-modal-box-shortcode {
		padding: 25px  15px 12px 25px !important;
	}
	.dnm-modal .col-text {
		padding-left: 0;
	}
}


.dnm-accordion.vc_tta-accordion .vc_tta-panel .vc_tta-panel-title a {
	height: auto;
	line-height: 1.4;
}

@media all and (max-width: 1250px){
	#grid-folio, #portfolio-page .works-list {
		margin: 0;
	}
}

.d-spacer-100 {
	height: 100px;
}

.d-top-padding-100 {
	padding-top: 100px;
}


.d-project-container {
	padding-right: 8%;
    padding-left: 2%;
}

@media all and (max-width: 799px){
	.d-top-padding-100 {
		padding-top: 10px;
	}
	.d-project-container {
		padding-right: 2%;
		padding-left: 2%;
	}
}

.d-portfolio-gallery-wrap {
	min-height: 180px;
}

@media only screen and (max-width: 799px) {
	.single-my-product .single-folio .dfd-blog-page-icon {
		z-index: 3;
	}
	
	#layout.single-folio.folio_inside_1, #layout.single-folio.folio_inside_2 {
		margin-top: 0;
	}
	
	.d-project-description {
		padding-left: 20px;
	}
}

@media only screen and (min-width: 1011px){
	#header-container.header-style-7 #header .header-wrap .row.decorated .header-main-panel .header-col-left, #header-container.header-style-14 #header .header-wrap .row.decorated .header-main-panel .header-col-left {
		top: 8px;
	}
	#header-container.header-style-7.opened .dfd-top-row .columns .dfd-menu-button .icon-wrap.dfd-bottom-line, #header-container.header-style-7.opened .dfd-top-row .columns .dfd-menu-button .icon-wrap.dfd-top-line {
		left: 12px;
	}
	#header-container.header-style-7 .dfd-top-row .columns .dfd-menu-button .icon-wrap {
		left: 10px;
	}

	.nav-menu div.sub-nav.open {
		top: 50% !important;
		-webkit-transform: translateY(-50%);
		transform: translateY(-50%) !important;
		
	}
	#header-container.header-style-7 #header .header-wrap .row.decorated .header-main-panel .header-col-fluid nav.mega-menu ul.nav-menu li {
		position: relative !important;
	}
	#side-area .nav-menu div.sub-nav > ul > li > a, #header-container.header-style-5 .nav-menu div.sub-nav > ul > li > a, #header-container.header-style-6 .nav-menu div.sub-nav > ul > li > a, #header-container.header-style-7 .nav-menu div.sub-nav > ul > li > a, #header-container.header-style-8 .nav-menu div.sub-nav > ul > li > a {
		padding-left: 30px;
		padding-right: 50px;
	}
}

@media screen and (min-width: 1024px){
	#footer .soc-icon-container {
		margin-top: 12px;
	}
}



.topdahl-milestones-wrap .dfd-milestone-item {
	height: auto !important;
	min-height: auto !important;
	padding-bottom: 48px !important;
}

@media screen and (max-width: 992px){
	.topdahl-milestones-wrap .dfd-milestone-item {
		padding-bottom: 32px !important;
	}
	
}

@media screen and (max-width: 768px){
	.d-mobile-none {
		display: none;
	}
	.mt-mobile-0 {
		margin-top: 0 !important;
	}
}


/* 2025-01 */
.see-also-menu-wrapper .current-menu-item a,
.accordion-as-dropdown.vc_tta-accordion .vc_tta-panel a.current-page {
	color: #333 !important;
}

@media only screen and (min-width: 1011px) {
	/*#header-container.header-style-7 #header .header-wrap .row.decorated .header-main-panel .header-col-fluid nav.mega-menu ul.nav-menu > li .item-title {
		opacity: 1;
	}*/
	#header-container.header-style-7.opened #header .header-wrap .row.decorated .header-main-panel .header-col-fluid nav.mega-menu ul.nav-menu > li:nth-child(9) > a.item-title {
		opacity: 1;
        -webkit-transform: translateY(0);
        -moz-transform: translateY(0);
        -o-transform: translateY(0);
        transform: translateY(0);
        transition: opacity .3s ease 1.8s, color .3s ease 0s, transform .3s ease 1.8s, transform .3s ease 1.8s;
	}
	#header-container.header-style-7.opened #header .header-wrap .row.decorated .header-main-panel .header-col-fluid nav.mega-menu ul.nav-menu > li:nth-child(10) > a.item-title {
		opacity: 1;
        -webkit-transform: translateY(0);
        -moz-transform: translateY(0);
        -o-transform: translateY(0);
        transform: translateY(0);
        transition: opacity .3s ease 1.9s, color .3s ease 0s, transform .3s ease 1.9s, transform .3s ease 1.9s;
	}
	#header-container.header-style-7.opened #header .header-wrap .row.decorated .header-main-panel .header-col-fluid nav.mega-menu ul.nav-menu > li:nth-child(10) > a.item-title {
		opacity: 1;
        -webkit-transform: translateY(0);
        -moz-transform: translateY(0);
        -o-transform: translateY(0);
        transform: translateY(0);
        transition: opacity .3s ease 2.0s, color .3s ease 0s, transform .3s ease 2.0s, transform .3s ease 2.0s;
	}
	#header-container.header-style-7.opened #header .header-wrap .row.decorated .header-main-panel .header-col-fluid nav.mega-menu ul.nav-menu > li:nth-child(11) > a.item-title {
		opacity: 1;
        transform: translateY(0);
        transition: opacity .3s ease 2.1s, color .3s ease 0s, transform .3s ease 2.1s, transform .3s ease 2.1s;
	}
	#header-container.header-style-7 #header .header-wrap .row.decorated .header-main-panel .header-col-fluid nav.mega-menu ul.nav-menu > li:nth-child(9) > a.item-title, #header-container.header-style-14 #header .header-wrap .row.decorated .header-main-panel .header-col-fluid nav.mega-menu ul.nav-menu > li:nth-child(8) > a.item-title {
		transition: opacity .3s ease 1.8s, color .3s ease 0s, transform .3s ease 1.8s, transform .3s ease 1.8s;
	}
	
	#header-container.header-style-7 #header .header-wrap .row.decorated .header-main-panel .header-col-fluid nav.mega-menu ul.nav-menu > li:nth-child(10) > a.item-title, #header-container.header-style-14 #header .header-wrap .row.decorated .header-main-panel .header-col-fluid nav.mega-menu ul.nav-menu > li:nth-child(10) > a.item-title {
		transition: opacity .3s ease 1.9s, color .3s ease 0s, transform .3s ease 1.9s, transform .3s ease 1.9s;
	}
	#header-container.header-style-7 #header .header-wrap .row.decorated .header-main-panel .header-col-fluid nav.mega-menu ul.nav-menu > li:nth-child(10) > a.item-title, #header-container.header-style-14 #header .header-wrap .row.decorated .header-main-panel .header-col-fluid nav.mega-menu ul.nav-menu > li:nth-child(10) > a.item-title {
		transition: opacity .3s ease 2.0s, color .3s ease 0s, transform .3s ease 2.0s, transform .3s ease 2.0s;
	}
	#header-container.header-style-7 #header .header-wrap .row.decorated .header-main-panel .header-col-fluid nav.mega-menu ul.nav-menu > li:nth-child(11) > a.item-title, #header-container.header-style-14 #header .header-wrap .row.decorated .header-main-panel .header-col-fluid nav.mega-menu ul.nav-menu > li:nth-child(11) > a.item-title {
		transition: opacity .3s ease 2.1s, color .3s ease 0s, transform .3s ease 2.1s, transform .3s ease 2.1s;
	}
}


.floating-label {
	position:relative;
	width: 100%;
	border-bottom: 1px solid #e8e8e8;
	bottom: -1px;
}

.floating-label:before {
    content: "";
    display: block;
    position: absolute;
    width: 0;
    height: 0;
    bottom: -1px;
    left: 0;
    border-bottom: 2px solid #c39f76;
    -webkit-transition: width .5s ease;
    -moz-transition: width .5s ease;
    transition: width .5s ease;
    z-index: 1;
}

.floating-label.active:before {
	width: 100%;
}
.floating-label.with-textarea {
	bottom: -10px;
	padding-top: 8px;
}
.floating-label.with-textarea textarea {
	max-height: 130px;
	
}
.floating-label span {
	position:absolute;
    top:0;
    left:0;
    transform:translateY(10px);
    font-size:1em;
    transition-duration:300ms;
	pointer-events: none;
}



label.floating-label:focus-within > span,
.floating-label input:not(:placeholder-shown) + span,
.floating-label textarea:not(:placeholder-shown) + span,
label.floating-label.with-input {
    color: #2c2c2c;
    transform:translateY(-18px);
	font-size: 0.85em;
}
.floating-label input::placeholder,
.floating-label textarea::placeholder {
	opacity: 0;
}


